#ifndef BLUETOOTHADDON_H
#define BLUETOOTHADDON_H

#include <qmenubar.h>

#include "quasar.h"
#include "addonmanager.h"

#include "bluetoothavrcpadapter.h"

class BluetoothAddOn : public AddOn
{
    Q_OBJECT
public:
    static BluetoothAddOn& singleton();
#	define qBluetoothAddOn BluetoothAddOn::singleton()

    BluetoothAddOn()
        :	AddOn(),
            bluetoothAVRCPAdapter_(this)
    {
        qDebug("Registering BluetoothAddOn");
    }

    virtual ~BluetoothAddOn()
    {
    }

    virtual void hookMainWindow(Quasar *mainWindow)
    {
        mainWindow_ = mainWindow;
        playbackController_ = mainWindow->playbackController_;

        connect(&bluetoothAVRCPAdapter_, SIGNAL(playOrPause()), playbackController_, SLOT(startOrPauseCurrentPlaybackOrStartNewPlayback()));
        connect(&bluetoothAVRCPAdapter_, SIGNAL(stop()), playbackController_, SLOT(stopCurrentPlayback()));
        connect(&bluetoothAVRCPAdapter_, SIGNAL(next()), playbackController_, SLOT(playNextItem()));
        connect(&bluetoothAVRCPAdapter_, SIGNAL(previous()), playbackController_, SLOT(playPreviousItem()));
    }

private slots:

private:
    Quasar *mainWindow_;
    PlaybackController *playbackController_;
    BluetoothAVRCPAdapter bluetoothAVRCPAdapter_;
};

#endif /* BLUETOOTHADDON_H */
